
Smart Proxy - Feature #846

Add support for solaris tftp pxeboot configuration files

04/15/2011 06:52 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: TFTP   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Linux downloads syslinux.cfg/XX-XX-XX-XX-XX-XX-XX pxe configuration file whilst solaris uses menu.lst.XXXXXXXXXXXXXX

configuration files.

The easiest solution is to add an API version, passed as a HTML header, which allows for the writing of files, with the correct

filename format, to arbitrary locations in the tftpboot directory structure.

Associated revisions

Revision b0e03d34 - 05/26/2011 10:03 AM - Paul Kelly

Fixes #846 - supports Solaris TFTP pxe configuration files

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 04/19/2011 05:02 AM - Paul Kelly

After a discussion with Ohad it was agreed that the API should be extended to support {post,get,delete} /tftp/{jumpstart,kickstart}/:mac and that the old

API should be supported via an internal rewrite from tftp/:mac => tftp/kickstart/:mac. Luckily the names jumstart and kickstart are already supported in

the family code in foreman as @operatingsystem.pxe_type.

Also DRYed some code

#2 - 04/19/2011 06:14 AM - Paul Kelly

Note that due to the use of :before with a regexp this implementation now requires sinatra 1.1.0. Sinatra 1.0 will no longer be sufficient.

#3 - 04/21/2011 05:48 AM - Paul Kelly

Switched names to use syslinux and pxegrub and refactored the code so as not to require sinatra 1.1.0

#4 - 05/13/2011 06:10 AM - Paul Kelly

Rebased and fixed an issue with interoperability with earlier revisions of Foreman. This now works fine with a Foreman that does not understand

variants.

#5 - 05/25/2011 08:55 AM - Paul Kelly

rebased and added create_default support

#6 - 05/26/2011 07:54 AM - Ohad Levy

- Target version set to 0.2

#7 - 05/26/2011 10:23 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b0e03d34ad194d86d4aaf6f669e1e88a3a5cc4e4.
